<ng-container *ngIf="_examLoaded && _currQuestion">
  <header-navigation
    [_isReview]="false"
    (layoutHorizontalChanged)="onLayoutHorizontalChanged($event)"
    (showScoreboard)="onShowScoreboard()"
  >
  </header-navigation>

  <div class="container-fluid pl-5 pr-5">
    <ng-container *ngIf="_heartBeatFailWarning">
      <h4 class="text-danger text-center">
        {{ _heartBeatFailWarning }}
      </h4>
    </ng-container>
    <ng-container *ngIf="isOffline()">
      <h2 class="text-danger text-center">
        You are offline! Save your work and check your connection...
      </h2>
    </ng-container>
    <div
      *ngIf="
        _examLoaded &&
        _examService.getExam().usesTicketing &&
        _currQuestion &&
        _currQuestion.ordinal
      "
    >
      <ticket [ordinal]="_currQuestion.ordinal"></ticket>
      <div class="d-flex">
        <h1 class="mr-5">{{ _currQuestion.ordinal }}.</h1>
        <grading-model-label
          [gradingModelName]="_currQuestion.gradingModelName"
        ></grading-model-label>
      </div>
    </div>
    <question-content
      [currQuestionWait]="_currQuestionWait"
      [currQuestion]="_currQuestion"
      [layoutHorizontal]="_layoutHorizontal"
      (answerEvaluated)="onAnswerEvaluated($event)"
    >
    </question-content>
  </div>
</ng-container>
